Subject: Re: bug#35180: 27.0.50; emacs daemon and “package” often inserts [I when opening file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Apr 2019 17:14:38 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Sat, 27 Apr 2019 13:00:11 +0100
> Cc: [email-masked], Han Boetes <[email-masked]>
> 
> On successful startup (where [I is not inserted), I am greeted by the
> "focus in" message.
> 
> On unsuccessful startup (where [I is inserted), the message never
> appears, but term/xterm and xterm are present in features.

Is it possible that in the unsuccessful cases we fall back to async
management of xterm--query responses?

Maybe it's another manifestation of bug#34821 (xterm--query calls
discard-input)?